chiark / gitweb /
Build system: Add missing set -e
[wiringPi.git] / build
diff --git a/build b/build
index fb5a8b761ca9a6a5c6e1ac4eeefaccc350cd3829..7c050871ec7774590e90e9bc500775e790e0ade7 100755 (executable)
--- a/build
+++ b/build
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 
 # build
 #      Simple wiringPi build and install script
@@ -102,20 +102,20 @@ fi
 
   hardware=`fgrep Hardware /proc/cpuinfo | head -1 | awk '{ print $3 }'`
 
-  if [ x$hardware != "xBCM2708" ]; then
-    echo ""
-    echo "   +------------------------------------------------------------+"
-    echo "   |   wiringPi is designed to run on the Raspberry Pi only.    |"
-    echo "   |   This processor does not appear to be a Raspberry Pi.     |"
-    echo "   +------------------------------------------------------------+"
-    echo "   | In the unlikely event that you think it is a Raspberry Pi, |"
-    echo "   | then please accept my apologies and email the contents of  |"
-    echo "   | /proc/cpuinfo to projects@drogon.net.                      |"
-    echo "   |    - Thanks, Gordon                                        |"
-    echo "   +------------------------------------------------------------+"
-    echo ""
-    exit 1
-  fi
+#  if [ x$hardware != "xBCM2708" ]; then
+#    echo ""
+#    echo "   +------------------------------------------------------------+"
+#    echo "   |   wiringPi is designed to run on the Raspberry Pi only.    |"
+#    echo "   |   This processor does not appear to be a Raspberry Pi.     |"
+#    echo "   +------------------------------------------------------------+"
+#    echo "   | In the unlikely event that you think it is a Raspberry Pi, |"
+#    echo "   | then please accept my apologies and email the contents of  |"
+#    echo "   | /proc/cpuinfo to projects@drogon.net.                      |"
+#    echo "   |    - Thanks, Gordon                                        |"
+#    echo "   +------------------------------------------------------------+"
+#    echo ""
+#    exit 1
+#  fi
 
 
   echo